Page MenuHomeFreeBSD

math/sleef: fix build on powerpc64
ClosedPublic

Authored by pkubaj on Aug 11 2019, 10:08 AM.

Details

Summary

Altivec needs {} for vectors instead of ().
lib/libsleefgnuabi.so is not built on powerpc64.

PR: 239468

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 25842
Build 24413: arc lint + arc unit

Event Timeline

pkubaj created this revision.Aug 11 2019, 10:08 AM
mat added inline comments.Aug 13 2019, 1:29 PM
math/sleef/Makefile
31

ARCH is defined after bsd.port.options.mk, no need for the pre/post.

32

This is badly named, it should be NO_PPC64, as it removes things on PPC64, not adds them.

pkubaj updated this revision to Diff 60741.Aug 13 2019, 4:47 PM

Use bsd.port.options.mk and set NO_PPC64.

pkubaj marked 2 inline comments as done.Aug 13 2019, 4:47 PM
mat accepted this revision.Aug 19 2019, 11:55 AM
This revision is now accepted and ready to land.Aug 19 2019, 11:55 AM
This revision was automatically updated to reflect the committed changes.